Package javassist.bytecode

# Class DuplicateMemberException

java.lang.Object
java.lang.Throwable
java.lang.Exception
javassist.CannotCompileException
javassist.bytecode.DuplicateMemberException

All Implemented Interfaces:
  `Serializable`

public class DuplicateMemberException extends CannotCompileException
An exception thrown when adding a duplicate member is requested.

See Also:
  - `ClassFile.addMethod(MethodInfo)`
  - `ClassFile.addField(FieldInfo)`
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`DuplicateMemberException(String msg)`

## Method Summary

### Methods inherited from class javassist.CannotCompileException

`getCause, getReason, initCause`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### DuplicateMemberException

public DuplicateMemberException(String msg)